%define	name	screem
%define	version	0.14.1
%define rel	5
%define	release	%mkrel %{rel}

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

%define iconname %{name}.png

Summary:	Site CReating and Editing EnvironMent
Name:		screem
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
URL:		http://www.screem.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		%{name}-%{version}.tar.bz2
# (fc) 0.6.2-2mdk fix dtd location in help file
Patch0:		screem-0.14.1-docbooklocation.patch.bz2
# (lenny) 0.9.3-2mdk use system wide intltool
Patch1:		screem-intltool.patch.bz2
#Patch2: 	screem-0.10.2-egg.patch.bz2
Patch3:		screem-0.14.1-gnome-2.11-build-fix.patch.bz2
BuildRequires:	ImageMagick
BuildRequires:	gtksourceview-devel >= 0.3.0
BuildRequires:	libgnomeui2-devel >= 2.2.0
BuildRequires:	libglade2.0-devel
BuildRequires:	libgtkhtml2-devel >= 2.2.0
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	libgnome-menu-devel
# (abel) external neon support is quite broken? use bundled one instead
#BuildRequires:	neon-devel >= 0.24.0
BuildRequires:	scrollkeeper
BuildRequires:	krb5-devel
BuildRequires:	intltool libcroco0.6-devel
BuildRequires:	dbus-devel
# hell
BuildRequires:	krb5-server
%if %build_plf
BuildRequires:	socks5-devel
%endif
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Requires(post):		GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3
Requires: dbus-x11

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated development
environment for the creation and maintenance of websites and pages. It is
not a WYSIWYG editor; you are provided with raw html source in its editor
window instead.

Build options:
--with plf	Enable socks V5 support

%prep
%setup -q
%patch0 -p1 -b .docbooklocation
%patch1 -p1 -b .intlsystemwide
#%patch2 -p1 -b .egg
%patch3 -p1 -b .gnome211

%build
%configure2_5x \
%if %build_plf
	--with-socks=yes \
%else
	--with-socks=no \
%endif
	--with-ssl=yes \
	--with-included-neon=yes \
	--disable-update-mime \
	--disable-update-desktop

%make

%install
rm -rf %{buildroot}

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# icons
mkdir -p %{buildroot}%{_miconsdir} \
         %{buildroot}%{_iconsdir}
install -m 644 -D screem.png       %{buildroot}%{_liconsdir}/%{iconname}
convert screem.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert screem.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
    command="%{_bindir}/screem" \
    icon="%{iconname}" \
    title="Screem" \
    longtitle="Website creation environment" \
    needs="X11" \
    section="Internet/Web Editors"
EOF

%find_lang %{name} --with-gnome

# remove unwanted files
rm -f %{buildroot}%{_libdir}/%{name}/plugins/*.la

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/screem.schemas > /dev/null
%update_menus

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/screem.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO BUGS
%{_sysconfdir}/gconf/schemas/screem.schemas
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/application-registry/*.applications
%{_datadir}/applications/*.desktop
%{_datadir}/mime-info/*
%{_datadir}/mime/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}

# menu
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

%changelog
* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 0.14.1-5mdk
- Add missing dependency on dbus-x11

* Mon Aug 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.14.1-4mdk
- Fix patch0 (use correct url for DTD)

* Fri Jul  1 2005 Götz Waschk <waschk@mandriva.org> 0.14.1-3mdk
- fix buildrequires again

* Fri Jul  1 2005 Götz Waschk <waschk@mandriva.org> 0.14.1-2mdk
- fix buildrequires

* Thu Jun 30 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.14.1-1mdk
- 0.14.1
- regenerate P0
- drop P2 (no longer needed)
- fix build against new gnome-menu (P3 from cvs)
- %%mkrel
- Do not run update-mime-database & update-desktop-database when installing

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-4mdk
- Fix menu

* Mon Jul 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.10.2-3mdk
- drop yelp stuff
- reenable libtoolize
- patch2: fix egg build

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.2-2mdk
- fix buildrequires

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.2-1mdk
- 0.10.2
- regenerate P0

* Fri Feb 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-2mdk
- Patch1: use system wide intltool 
- fix menu section

* Sun Jan 04 2004 Abel Cheung <deaddog@deaddog.org> 0.9.3-1mdk
- New version
- Merge changes from Charles A Edwards <eslrahc@bellsouth.net>:
  o misc spec changes
  o plf: build with Socks5
- Lots of other cleanups
- Build with kerberos
- Use bundled libneon, since external neon support is a bit broken

* Tue Jul 29 2003 Götz Waschk <waschk@linux-mandrake.com> 0.6.2-4mdk
- another buildrequires fix

* Tue Jul 29 2003 Götz Waschk <waschk@linux-mandrake.com> 0.6.2-3mdk
- fix buildrequires

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.2-2mdk
- Patch0: fix DTD location in help file

* Thu Apr 10 2003 Laurent Culioli <laurent@pschit.net> 0.6.2-1mdk
- 0.6.2

* Fri Feb 14 2003 Laurent Culioli <laurent@pschit.net> 0.6.0-1mdk
- 0.6.0
- enable neon
- reenable ssl

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-18mdk
- rebuild

* Thu Dec 19 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-17mdk
- rebuild against new libguile

* Mon Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-16mdk
- remove invalid-directory-reference in .la files
- converts xpms to pngs

* Wed Nov 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-15mdk
- BuildRequires: xpm-devel

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-14mdk
- Patch0: fix compilation with latest gnome1 platform
- Recompiled against latest gtkhtml/gal

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-13mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-12mdk
- Recompiled against libgtkhtml16/libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-11mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-10mdk
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-9mdk
- Disable ssl support (broken)
- Recompiled against latest gtkhtml/gal

* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-8mdk
- rebuild against new gtkhtml/gal

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-7mdk
- BuildRequires:	bonobo-devel
- BuildRequires:	db1-devel
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	libglade-devel
- BuildRequires:	libunicode-devel
- BuildRequires:	oaf-devel
- BuildRequires:	popt-devel
- Removed BuildRequires:	gnome-libs

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-6mdk
- SSL enabled
- Recompiled against latest gtkhtml/gal

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-5mdk
- Recompiled against latest gtkhtml and gal

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-4mdk
- Update build dependencies
- Use makeinstall macro to install locales correctly
- Rebuild against latest gnome-vfs

* Wed Apr 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- enable vfs
- fix release

* Sun Mar 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- fixes files section

* Mon Mar 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- updated to 0.4.1
- fix icon

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.0-6mdk
- Recompiled again latest gnome-print

* Fri Nov 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-5mdk
- added all sizes of icons
- fix typo


* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.0-4mdk
- recompiled with gnome-print 0.24

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 0.3.0-3mdk
- More macros
- Use optimizations
- Fix menu entry
- Fix group

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- try to reduce the "fuzzy logic" :)

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- new in contribs
 




 

 
